version: "3.7"

services:
  server:
    image: ghcr.io/matter-js/python-matter-server:8.1.2@sha256:6827e352011e2d8c2bde771e446fcf72acc49150ef66bad978816bac1762aad3
    restart: on-failure
    # Требуется для корректной работы mDNS
    network_mode: host
    # интерфейс на порту по умолчанию 5580
    security_opt:
      # Требуется для Bluetooth через dbus
      - apparmor:unconfined
    volumes:
      - ${APP_DATA_DIR}/data:/data/
      # Требуется для Bluetooth через D-Bus
      - /run/dbus:/run/dbus:ro
